Zum Inhalt springen
Borm Go

Update an object

PATCH/vex/objects/{objectId}

Returns the updated voka easy object

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

objectId*string

voka easy object id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/vex/objects/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Küche Hugentobler",    "client": "Hugentobler"  }'
{
  "id": "cmcn3j363000h7a26sqhtegpy",
  "address": null,
  "architect": null,
  "calculationSurcharge": false,
  "client": "Hugentobler",
  "companyId": "clsit2yxx0001l2pc3ypxm4oz",
  "createdAt": "2025-07-03T08:00:49.611Z",
  "date": "2025-07-03T08:00:49.611Z",
  "description": null,
  "name": "Küche Hugentobler",
  "orderNumber": "2025-000032",
  "status": "COORDINATION",
  "surchargePercentage": null,
  "surchargeTotal": null,
  "toBeDeletedAt": null,
  "updatedAt": "2025-07-03T08:00:49.611Z",
  "userId": "testUser1Company3"
}
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}